Chromium Code Reviews
Help | Chromium Project | Sign in
(107)

Issue 5535006: Add unittests for net::TestRootCerts and regenerate test certificates (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 5 months ago by Ryan Sleevi
Modified:
1 year, 11 months ago
Reviewers:
Dirk Pranke, wtc, jam, M-A Ruel, zel
CC:
chromium-reviews, cbentzel+watch_chromium.org, darin-cc_chromium.org, PaweĊ‚ Hajdan Jr., brettw-cc_chromium.org, Timur Iskhodzhanov, Alexander Potapenko, pam+watch_chromium.org, stuartmorgan+watch_chromium.org, joth
Visibility:
Public.

Description

Regenerate the root certificate and end-entity certificates used for various tests in net_unittests, now that Windows can temporarily trust certificates for the duration of tests. In addition, add unittests for net::TestRootCerts, which depend on the certs being tested not being trusted by the system beforehand. BUG=8470, 5552 TEST=TestRootCertsTest.* TBR=zelidrag Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=207443

Patch Set 1 #

Patch Set 2 : Address wtc feedback #

Total comments: 10

Patch Set 3 : More feedback #

Patch Set 4 : Update the layout_tests cert, just in case #

Patch Set 5 : Rebased #

Patch Set 6 : Rebased yet again #

Patch Set 7 : More fixes #

Patch Set 8 : Bump HPKP test data #

Patch Set 9 : Mangle pin so its a backup pin #

Patch Set 10 : Rebased #

Patch Set 11 : Android fix #

Patch Set 12 : rebased yet again #

Patch Set 13 : Bump certs again, add script to auto-rengerate #

Total comments: 8

Patch Set 14 : Review feedback #

Patch Set 15 : line length #

Patch Set 16 : Fix another hardcoded string #

Unified diffs Side-by-side diffs Delta from patch set Stats (+790 lines, -216 lines) Patch
M chrome/browser/chromeos/policy/policy_cert_verifier_browsertest.cc View 1 2 3 4 5 6 3 chunks +3 lines, -3 lines 0 comments Download
M chrome/common/net/x509_certificate_model_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M chrome/interactive_ui_tests.isolate View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M net/android/javatests/src/org/chromium/net/X509UtilTest.java View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M net/cert/cert_verify_proc_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M net/cert/nss_cert_database_unittest.cc View 1 2 3 4 10 chunks +10 lines, -10 lines 0 comments Download
M net/cert/test_root_certs_android.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
A net/cert/test_root_certs_unittest.cc View 1 2 3 4 1 chunk +142 lines, -0 lines 0 comments Download
M net/data/ssl/certificates/README View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +8 lines, -7 lines 0 comments Download
M net/data/ssl/certificates/expired_cert.pem View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +108 lines, -39 lines 0 comments Download
M net/data/ssl/certificates/ok_cert.pem View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +108 lines, -39 lines 0 comments Download
M net/data/ssl/certificates/root_ca_cert.crt View 1 1 chunk +0 lines, -35 lines 0 comments Download
A net/data/ssl/certificates/root_ca_cert.pem View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +102 lines, -0 lines 0 comments Download
M net/data/ssl/scripts/ca.cnf View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +7 lines, -0 lines 0 comments Download
A net/data/ssl/scripts/generate-test-certs.sh View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +81 lines, -0 lines 0 comments Download
M net/data/ssl/scripts/generate-weak-test-chains.sh View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +2 lines, -2 lines 0 comments Download
M net/data/url_request_unittest/hsts-and-hpkp-headers.html.mock-http-headers View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M net/net.gyp View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M net/test/spawned_test_server/base_test_server.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M ppapi/tests/test_tcp_socket_private_trusted.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M tools/python/google/httpd_config/httpd2.pem View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +108 lines, -39 lines 0 comments Download
M tools/python/google/httpd_config/root_ca_cert.crt View 1 2 3 1 chunk +0 lines, -35 lines 0 comments Download
A tools/python/google/httpd_config/root_ca_cert.pem View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +102 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 31 (0 generated)
Ryan Sleevi
wtc: here's the regenerated certificates, split into a new CL per your comments on http://codereview.chromium.org/4646001/ ...
4 years, 5 months ago (2010-12-06 01:47:10 UTC) #1
wtc
LGTM. Please do not check this in until the following issues have been addressed. 1. ...
4 years, 5 months ago (2010-12-08 19:58:21 UTC) #2
Ryan Sleevi
+cc joth, as an FYI since I'm adding a TODO(joth) +review maruel & nsylvain, as ...
4 years, 5 months ago (2010-12-09 05:49:55 UTC) #3
M-A Ruel
On 2010/12/09 05:49:55, Ryan Sleevi wrote: > +review maruel & nsylvain, as I'm going to ...
4 years, 5 months ago (2010-12-09 14:08:49 UTC) #4
Nicolas Sylvain
On Thu, Dec 9, 2010 at 6:08 AM, <maruel@chromium.org> wrote: > On 2010/12/09 05:49:55, Ryan ...
4 years, 5 months ago (2010-12-09 16:41:12 UTC) #5
Ryan Sleevi
nsylvain: Sorry I wasn't clear in the original +review : This is actually a second ...
4 years, 5 months ago (2010-12-09 16:44:27 UTC) #6
Nicolas Sylvain
On Thu, Dec 9, 2010 at 8:44 AM, <rsleevi@chromium.org> wrote: > nsylvain: > > Sorry ...
4 years, 5 months ago (2010-12-09 16:57:23 UTC) #7
M-A Ruel
lgtm
4 years, 5 months ago (2010-12-13 16:22:57 UTC) #8
Ryan Sleevi
ping dpranke: Is the WebKit file used in production? Or is it an upstream contribution ...
4 years, 5 months ago (2010-12-14 07:33:15 UTC) #9
Dirk Pranke
Whoops, sorry for missing the comments earlier. I'm 99.8% certain the upstream code is not ...
4 years, 5 months ago (2010-12-14 20:35:20 UTC) #10
Dirk Pranke
cleanup time ... do we care about this patch at this point?
2 years ago (2013-05-24 19:53:55 UTC) #11
Ryan Sleevi
On 2013/05/24 19:53:55, Dirk Pranke wrote: > cleanup time ... do we care about this ...
2 years ago (2013-05-24 19:54:29 UTC) #12
Ryan Sleevi
So it seems every HTTPS test in Chrome Frame is disabled at the moment. Given ...
1 year, 11 months ago (2013-06-17 23:37:07 UTC) #13
Dirk Pranke
seems reasonable to me. Do we need to update LayoutTests/http/conf/webkit-httpd.pem as well?
1 year, 11 months ago (2013-06-18 00:05:30 UTC) #14
Ryan Sleevi
On 2013/06/18 00:05:30, Dirk Pranke wrote: > seems reasonable to me. Do we need to ...
1 year, 11 months ago (2013-06-18 00:07:27 UTC) #15
Dirk Pranke
On 2013/06/18 00:07:27, Ryan Sleevi wrote: > On 2013/06/18 00:05:30, Dirk Pranke wrote: > > ...
1 year, 11 months ago (2013-06-18 00:12:31 UTC) #16
Ryan Sleevi
On 2013/06/18 00:12:31, Dirk Pranke wrote: > On 2013/06/18 00:07:27, Ryan Sleevi wrote: > > ...
1 year, 11 months ago (2013-06-18 20:46:34 UTC) #17
wtc
Patch set 13 LGTM. I'm sorry that I didn't know I should review this CL ...
1 year, 11 months ago (2013-06-18 22:51:44 UTC) #18
Ryan Sleevi
https://codereview.chromium.org/5535006/diff/113041/net/cert/test_root_certs_android.cc File net/cert/test_root_certs_android.cc (right): https://codereview.chromium.org/5535006/diff/113041/net/cert/test_root_certs_android.cc#newcode21 net/cert/test_root_certs_android.cc:21: empty_ = false; On 2013/06/18 22:51:45, wtc wrote: > ...
1 year, 11 months ago (2013-06-18 23:57:59 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rsleevi@chromium.org/5535006/127041
1 year, 11 months ago (2013-06-18 23:58:31 UTC) #20
commit-bot: I haz the power
Retried try job too often on chromium_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=chromium_presubmit&number=10106
1 year, 11 months ago (2013-06-19 00:12:09 UTC) #21
Ryan Sleevi
zel, jam: TBR for one line file name change
1 year, 11 months ago (2013-06-19 00:31:42 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rsleevi@chromium.org/5535006/127041
1 year, 11 months ago (2013-06-19 00:32:10 UTC) #23
commit-bot: I haz the power
Retried try job too often on chromium_presubmit for step(s) presubmit http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=chromium_presubmit&number=10119
1 year, 11 months ago (2013-06-19 00:49:00 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rsleevi@chromium.org/5535006/132042
1 year, 11 months ago (2013-06-19 00:55:53 UTC) #25
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=139910
1 year, 11 months ago (2013-06-19 03:23:23 UTC) #26
jam
chrome lgtm
1 year, 11 months ago (2013-06-19 17:03:58 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rsleevi@chromium.org/5535006/132042
1 year, 11 months ago (2013-06-19 17:16:02 UTC) #28
commit-bot: I haz the power
Retried try job too often on linux_aura for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_aura&number=52381
1 year, 11 months ago (2013-06-19 19:27:15 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rsleevi@chromium.org/5535006/114064
1 year, 11 months ago (2013-06-20 01:42:14 UTC) #30
commit-bot: I haz the power
1 year, 11 months ago (2013-06-20 16:28:46 UTC) #31
Message was sent while issue was closed.
Change committed as 207443
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be